Subject: Re: [msysGit] Re: [PATCH 01/14] Fix non-constant array creation

From: Johan 't Hart <[email-masked]>
Date: Fri, 21 Aug 2009 22:06:01 +0200

Janos Laube schreef:
>> MSVC compiles regex.c, so it must handle it. I'm fine with that.
> 
> msvc supports alloca, but regex.c doesn't make use of it per default
> (you must define HAVE_ALLOCA_H in order to use it). basically _alloca
> is fine for that task, but be aware that error handling on windows is
> a bit compilicated. when _alloca fails it throws a structured
> exception, you must reset the stack and use traditional memory
> allocation as fallback. see
> http://msdn.microsoft.com/en-us/library/wb1s57t5.aspx. :-)
> 

alloca() throws an exception when out of stack memory. But what would 
the dynamically alloced array do when it runs out of memory? (Supposing 
that those arrays are also created on the stack, which I don't know...) 
Is that realy more complicated?